CVE-2002-0281
CVSS5.1
发布时间 :2002-05-31 00:00:00
修订时间 :2016-10-17 22:18:16
NMCOS    

[原文]Cross-site scripting vulnerability in DCP-Portal 4.2 and earlier allows remote attackers to gain privileges of other portal users by providing Javascript in the job information field to user_update.php.


[CNNVD]DCP-Portal用户信息跨站脚本执行漏洞(CNNVD-200205-145)

        
        DCP-Portal是种内容管理系统,提供多种基于WEB方式的操作,比如更新站点、成员管理等等。
        DCP-Portal存在跨站脚本执行漏洞。
        攻击者首先注册一个用户,然后访问http://www.dcp-portal_host/user_update.php ,修改自己的job info,在此插入任意代码,比如
        
        当其它用户察看攻击者的个人信息时,这些script脚本就会在用户浏览器中执行。
        

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:codeworx_technologies:dcp-portal:4.2
cpe:/a:codeworx_technologies:dcp-portal:3.7
cpe:/a:codeworx_technologies:dcp-portal:4.1
cpe:/a:codeworx_technologies:dcp-portal:4.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0281
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0281
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200205-145
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=101379217032525&w=2
(UNKNOWN)  BUGTRAQ  20020215 [ARL02-A03] DCP-Portal Cross Site Scripting Vulnerability
http://www.dcp-portal.com/contents.php?id=18
(VENDOR_ADVISORY)  MISC  http://www.dcp-portal.com/contents.php?id=18
http://www.securityfocus.com/bid/4112
(UNKNOWN)  BID  4112
http://xforce.iss.net/xforce/xfdb/8197
(UNKNOWN)  XF  dcpportal-userupdate-css(8197)

- 漏洞信息

DCP-Portal用户信息跨站脚本执行漏洞
中危 输入验证
2002-05-31 00:00:00 2006-08-31 00:00:00
远程  
        
        DCP-Portal是种内容管理系统,提供多种基于WEB方式的操作,比如更新站点、成员管理等等。
        DCP-Portal存在跨站脚本执行漏洞。
        攻击者首先注册一个用户,然后访问http://www.dcp-portal_host/user_update.php ,修改自己的job info,在此插入任意代码,比如
        
        当其它用户察看攻击者的个人信息时,这些script脚本就会在用户浏览器中执行。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 在user_update.php中过滤HTML标记以及其它恶意代码。
        厂商补丁:
        DCP-Portal
        ----------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.dcp-portal.com/

- 漏洞信息

7014
DCP-Portal user_update.php Job Information Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

DCP-Portal contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate "Job information" variable upon submission to the user_update.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2002-02-15 2002-02-09
2002-02-15 Unknow

- 解决方案

Upgrade to version DCP-Portal to 5.0.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

DCP-Portal User Details Cross-Agent Scripting Vulnerability
Input Validation Error 4112
Yes No
2002-02-15 12:00:00 2007-07-09 03:47:00
Discovered by Ahmet Sabri ALPER <s_alper@hotmail.com>.

- 受影响的程序版本

DCP-Portal DCP-Portal 4.5.1
DCP-Portal DCP-Portal 4.2
DCP-Portal DCP-Portal 4.1
DCP-Portal DCP-Portal 4.0
DCP-Portal DCP-Portal 3.7
DCP-Portal DCP-Portal 5.3.2
DCP-Portal DCP-Portal 5.3.1
DCP-Portal DCP-Portal 5.3
DCP-Portal DCP-Portal 5.2
DCP-Portal DCP-Portal 5.1
DCP-Portal DCP-Portal 5.0.2

- 不受影响的程序版本

DCP-Portal DCP-Portal 5.3.2
DCP-Portal DCP-Portal 5.3.1
DCP-Portal DCP-Portal 5.3
DCP-Portal DCP-Portal 5.2
DCP-Portal DCP-Portal 5.1
DCP-Portal DCP-Portal 5.0.2

- 漏洞讨论

DCP-Portal is a content manager enables various web-based updates. An admin can remotely manage the entire site, members can submit news/content and reviews, etc.

A user of the DCP-Portal system can opt to publish some profile information. A malicious user could include JavaScript commands in some of this information. When the attacker's profile is viewed by a third party, these script commands will execute within the context of the DCP-Portal page, leading to a cross-agent scripting attack. The job information field suffers from this vulnerability.

- 漏洞利用

No exploit is required.

- 解决方案

This issue was addressed in DCP-Portal 5.0.2.


DCP-Portal DCP-Portal 3.7

DCP-Portal DCP-Portal 4.0

DCP-Portal DCP-Portal 4.1

DCP-Portal DCP-Portal 4.2

DCP-Portal DCP-Portal 4.5.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站